Package wx :: Package lib :: Module langlistctrl :: Class LanguageListCtrl

[frames | no frames]

## Type LanguageListCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                      ListCtrl --+
                                 |
                                LanguageListCtrl

wx.ListCtrl derived control that displays languages and flags

Method Summary
| `__init__(self, parent, id, pos, size, style, filter, only, select, name)`
| ``GetLanguage`(self)` Returns the language id for the currently selected language in the control
| ``SetLanguage`(self, lang)` Selects the given language ids item in the control
| ``SetUpFilter`(self, filter, only)` Filters the languages displayed in the control

Property Summary
| `Language`: See `GetLanguage` and `SetLanguage`

Instance Method Details

### GetLanguage(self)

Returns the language id for the currently selected language in the control

### SetLanguage(self, lang)

Selects the given language ids item in the control

### SetUpFilter(self, filter=1, only=())

Filters the languages displayed in the control

Property Details

### Language

See `GetLanguage` and `SetLanguage`

  Get Method:
    `GetLanguage`(self)
  Set Method:
    `SetLanguage`(self, lang)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net